=== debian/changelog ===
avogadrolibs (1.100.0-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches:
      fetch_PDB_PR1642.patch
      fetch_PDB_error_check_PR1646.patch
      fix_startup_crash_PR1621.patch
      set_fragments_PR1612.patch
  * update data files for crystals, fragments, molecules to 1.100.0
  * build against Qt6
  * drop deprecated debian patches
    - fix_test_qtgui.patch (replaced by updates upstream and in
      tests_find_avogadrolibs.patch)
    - tests_skip_spacegroup_HallNumber0.patch (tests are now passing)
  * debian patch doc_mathjax.patch: retain @2 suffix in mathjax path
  * remove .gitignore file installed with fragments by dh_auto_install
  * libavogadro2-1t64.lintian-overrides: drop redundant override
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Feb 2025 19:13:21 +0900
